﻿#ifndef __DISTANCE_H__
#define __DISTANCE_H__

#include <x86intrin.h>


#include "assert.h"
#define ALIGNED(x)        __attribute__ ((aligned(x)))
#define RESTRICT        __restrict__
#define FORCE_INLINE    inline __attribute__ ((always_inline))


float
euclideanSqAVX(
        const u_int8_t* RESTRICT a,
        const u_int8_t* RESTRICT b,
        u_int32_t length);
#endif
