"""Exceptions for matching domain."""


class MatcherException(Exception):
    """Generic matcher exception."""


class Rematch(Exception):
    """This exception indicates that matching has failed and we have to try matching with default matcher."""


class DescriptorLoadError(Exception):
    """Indicates that the error occurred at the stage of loading descriptor."""

    def __init__(self, error, *args, **kwargs):
        super().__init__(*args, **kwargs)
        self.error = error
